Page MenuHomePhabricator

Allow to listen record while recording in the studio
Closed, ResolvedPublicFeature

Description

"While recording, I cannot check how the recording sounds like. I can only choose to re-record after hearing the recorded sound. Otherwise even having that option is of no use."

https://lingualibre.fr/wiki/Special:RecordWizard > Studio

Note : UI of each word could be to change largely.

  1. The words already have onclick interaction, to select the word for recording
  2. Include a "play" symbol left or right of the button may be needed.

Related Objects

StatusSubtypeAssignedTask
ResolvedDesign0x010C
ResolvedFeature0x010C

Event Timeline

Yug created this task.Dec 23 2018, 9:14 PM
Yug updated the task description. (Show Details)Dec 25 2018, 10:56 PM
0x010C updated the task description. (Show Details)Dec 26 2018, 8:12 PM
0x010C updated the task description. (Show Details)
0x010C added a subscriber: 0x010C.Dec 26 2018, 8:19 PM

Technically it would be pretty easy to do. But two workflow-related questions came into my mind when thinking about this feature:

  1. What should we do from the "play" icon-button added next-to each word before the word is recorded?
  2. If the user listen to an audio recording without a headset while the recorder is working, this one will detect the sound and make a new unexpected record.
Yug added a comment.Dec 26 2018, 10:38 PM

The space key pauses the recorder. Then, maybe the click on play symbol can pause the recorder as well, and end of play can turn it back on.

0x010C changed the subtype of this task from "Task" to "Feature Request".Apr 10 2020, 3:11 PM
0x010C renamed this task from Allow click-play-listen while recording in Record Wizard > Studio to Allow to listen record while recording in the studio.Jun 1 2020, 12:08 PM
0x010C added a comment.Jun 2 2020, 9:48 AM

Done in commit df2b0f8a. A little play button is positioned next to each stashed records in the studio; clicking on it stops the recorder and plays the recorded sound. Two shortcuts are also available: P and Enter.

0x010C closed this task as Resolved.Jun 2 2020, 9:48 AM
0x010C claimed this task.